Back to Apify Store
Apify·Apify Store

Website Screenshot Generator

/apify/screenshot-urlasync$0.005 / result

Create a screenshot of a website based on a specified URL. The screenshot is stored as the output in a key-value store. It can be used to monitor web changes regularly after setting up the scheduler. Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • urlsarray

    List of URLs you want to take screenshots of.

  • formatstring

    Screenshot file format. (default "png")

    png, pdf

  • waitUntilstringrequired

    Control's when will the browser take a screenshot

    load, domcontentloaded, networkidle2, networkidle0

  • delayintegerrequired

    Add's delay before a screenshot is taken. Minimum is 0, maximum is 5 minutes (3600000ms) (default 0)

  • viewportWidthintegerrequired

    How wide should the website's viewport be (default 1280)

  • scrollToBottomboolean

    Should the browser scroll to the bottom of the page before taking a screenshot (default false)

  • delayAfterScrollinginteger

    Specify the delay (in milliseconds) after scrolling to the bottom of the page before taking the screenshot. This option is only used if 'Wait for Network Idle After Scrolling' is not enabled. (default 2500)

  • waitUntilNetworkIdleAfterScrollboolean

    Choose whether to wait for the network to become idle after scrolling to the bottom of the page before taking a screenshot. If enabled, this option overrides the 'Delay After Scrolling' option. (default false)

  • waitUntilNetworkIdleAfterScrollTimeoutinteger

    Specify the maximum wait time (in milliseconds) for the network to become idle after scrolling to the bottom of the page before taking the screenshot, this option is used to make sure handler doesn't get stuck for some pages. This option is only used if 'Wait for Network Idle After Scrolling' is ena (default 30000)

  • proxyobject

    Set the proxy configuration of the scraper (default {"useApifyProxy":true})

  • selectorsToHidestring

    List of selectors to hide before taking a screenshot (default "")

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/apify/screenshot-url","input":{"waitUntil":"load","delay":0,"viewportWidth":1280}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.